Subject: Re: [PATCH 2.6.14] ppc32: Allow for bigger compressed kernels

From: Matt Porter <[email-masked]>
Date: Fri, 4 Nov 2005 08:00:41 -0700

On Fri, Nov 04, 2005 at 07:50:27AM -0700, Tom Rini wrote:
> On Thu, Nov 03, 2005 at 08:25:24PM -0800, Olof Johansson wrote:
> > On Thu, Nov 03, 2005 at 11:32:56AM -0700, Tom Rini wrote:
> > 
> > > --- a/arch/ppc/boot/simple/misc.c
> > > +++ b/arch/ppc/boot/simple/misc.c
> > > @@ -7,10 +7,10 @@
> > >   * your serial console.  If a machine meets these requirements, it can quite
> > >   * likely use this code during boot.
> > >   *
> > > - * Author: Matt Porter <[email-masked]>
> > > + * Author: Tom Rini <[email-masked]>
> > >   * Derived from arch/ppc/boot/prep/misc.c
> > 
> > I understand adding authors to a file when code is added, but why should
> > author credit be removed?
> 
> It wasn't Matt's code really.  I know he did the 44x EMAC fixes, but
> other than that it was my code, heavily cribbed from all of the old
> per-board bootwrappers, that were cribbed from the prep one.

Yes, I think what happened was that when you rewrote the arch/ppc/boot/
stuff, you started with the a version of the file I had written for one
of my platforms which is where my name came to stick in there.
The details are hazy in my memory as to how I came to be the "sole
author" of this code. :) In any case, I think having you attributed as
the author of this stuff is appropriate and I can be removed.

-Matt